import type { TableProps, TableActionType } from '../types/table';
import type { FormActionType } from '../../form';
import { DynamicProps } from '../../utils/dynamic-props';
declare type Props = Partial<DynamicProps<TableProps>>;
declare type UseTableMethod = TableActionType & {
    getForm: () => FormActionType;
};
export declare function useTable(tableProps?: Props): [
    (instance: TableActionType, formInstance: UseTableMethod) => void,
    TableActionType & {
        getForm: () => FormActionType;
    }
];
export {};
